### Signal

# Gtk Assistant::apply

deprecated: 4.10

#### Declaration

    void
    apply (
      GtkAssistant* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the apply button is clicked.

The default behavior of the `GtkAssistant` is to switch to the page after the current page, unless the current page is the last one.

A handler for the ::apply signal should carry out the actions for which the wizard has collected data. If the action takes a long time to complete, you might consider putting a page of type `GTK_ASSISTANT_PAGE_PROGRESS` after the confirmation page and handle this operation within the `GtkAssistant::prepare` signal of the progress page.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 4.10
This widget will be removed in GTK 5